#ifndef __SPINNER__
#define __SPINNER__

#include <Retrace.h>

#ifndef	_Gestalt
#define	_Gestalt		0xA1AD
#endif

/* Error codes returned by BeginSpinning */

#define	cursNoErr				0
#define	cursResNotFound			-50
#define	cursMemReqFailed		-51
#define	cursVBLNotAvail			-52
#define	cursVBLReqFailed		-53
#define	cursVBLTaskNotFound		-54
#define	cursTaskNotInstalled	-55
#define	cursFatalErr			-56
#define	cursSpinCursResErr		-57
#define	cursCouldNotRelease		-58
#define	cursAlreadyInstalled	-59

typedef short int		CursErr;

typedef struct {

	CursHandle			curs;
	struct CursorList 	*nextCurs;
	
} CursorList, *CursorListPtr;

typedef struct {

	short int			frequency;
	short int			initResID;
	CursorList			*frame;
	CursorList			*cursors;

} CursGlobals, *CursGlobalPtr;

typedef struct {

	VBLTask				vblTask;
	CursGlobals			grec;
	Boolean				cQD;
	Boolean				color;

} CursorTask, *CursorTaskPtr;

#endif

void			SetCQDVar				(void);
CursErr			BeginResSpinning		(short int resID);
CursErr			BeginSpinning			(Boolean color, short int initResID, short int numCursors,
											short int initDelay, short int frequency);
pascal void		SpinCursor				(void);
CursErr			StopSpinning			(void);
Boolean			WeCanUseGestalt			(void);
Boolean			IsThisTrapAvailable		(unsigned long int trap);